/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../../libs.h"
#include "../../../scene/scene.h"
#include "../../../display/primitive/primitive.h"
#include "../../../display/primitive/cube.h"
#include "../../../file/assetmanager.h"

typedef struct {
  scene_t scene;

  assetmanageritem_t *font;

  uint8_t passOnly;
  
  assetmanageritem_t *shaderWorld;
  shaderuniform_t uniformsWorld[4];

  assetmanageritem_t *shaderList;
  shaderuniform_t uniformsList[4];

  assetmanageritem_t *textureTest;

  primitive_t cube;
} pokergamescene_t;

void pokerGameSceneInit(pokergamescene_t *gameScene, engine_t *engine);

void pokerGameSceneUpdate(pokergamescene_t *gameScene);

void pokerGameSceneDispose(pokergamescene_t *gameScene);